#include <iostream>
using namespace std;
int n, l;
int a[1000];
int boli() {
  for (int i = 0; i < n; i++) {
    if (a[i] <= l)
      return i + 1;
  }
  return -1;
}
int main() {
  ios_base::sync_with_stdio(0);
  cin.tie(nullptr);
  cin >> n >> l;
  for (int i = 0; i < n; i++) {
    cin >> a[i];
  }
  cout << boli();
}